summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorFadeMind2015-08-12 06:21:15 +0200
committerFadeMind2015-08-12 06:21:15 +0200
commitb47926ba9dd65ce6ef359e6712486cfaa17b30cc (patch)
tree82fa202c3641737d6700de3659f71d926568e81f
downloadaur-b47926ba9dd65ce6ef359e6712486cfaa17b30cc.tar.gz
1.10.1-1
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD33
-rw-r--r--rednotebook.install9
3 files changed, 63 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..554e3c46a46
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+pkgbase = rednotebook
+ pkgdesc = A simple desktop diary
+ pkgver = 1.10.1
+ pkgrel = 1
+ url = http://rednotebook.sourceforge.net
+ install = rednotebook.install
+ arch = i686
+ arch = x86_64
+ license = GPL2
+ depends = python2-gtkspell
+ depends = pygtk
+ depends = python2-yaml
+ depends = pywebkitgtk
+ depends = hicolor-icon-theme
+ depends = librsvg
+ optdepends = python-chardet: Python3 module for character encoding auto-detection
+ source = rednotebook-1.10.1.tar.gz::http://downloads.sourceforge.net/project/rednotebook/rednotebook-1.10.1.tar.gz
+ sha256sums = c03bf07d78c4d27ce8d2794af156c7fba1d6b3a7ae4c87b71be0216c3512e6fe
+
+pkgname = rednotebook
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..3c928536c23
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,33 @@
+# Maintainer: FadeMind <fademind@gmail.com>
+# Maintainer: Eugenio M. Vigo <emvigo@gmail.com>
+# Contributor: Dmitry Korzhevin <dkorzhevin at gmail dot com>
+# Contributor: 4javier <4javier4@gmail.com>
+# Contributor: G_Syme <demichan(at)mail(dot)upb(dot)de>
+# Contributor: cameel <cameel2/gmail/com>
+pkgname=rednotebook
+pkgver=1.10.1
+pkgrel=1
+pkgdesc="A simple desktop diary"
+arch=('i686' 'x86_64')
+url="http://rednotebook.sourceforge.net"
+license=('GPL2')
+depends=('python2-gtkspell' 'pygtk' 'python2-yaml' 'pywebkitgtk' 'hicolor-icon-theme' 'librsvg')
+optdepends=('python-chardet: Python3 module for character encoding auto-detection')
+install="${pkgname}.install"
+source=("${pkgname}-${pkgver}.tar.gz::http://downloads.sourceforge.net/project/${pkgname}/${pkgname}-${pkgver}.tar.gz")
+sha256sums=('c03bf07d78c4d27ce8d2794af156c7fba1d6b3a7ae4c87b71be0216c3512e6fe')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ python2 setup.py build || return 1
+}
+
+package() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ python2 setup.py install --root="${pkgdir}" --prefix=/usr || return 1
+
+ for _res in 16 22 32 64 128; do
+ install -D -m644 build/lib/rednotebook/images/rednotebook-icon/rn-${_res}.png \
+ ${pkgdir}/usr/share/icons/hicolor/${_res}x${_res}/apps/${pkgname}.png
+ done
+}
diff --git a/rednotebook.install b/rednotebook.install
new file mode 100644
index 00000000000..1341925440e
--- /dev/null
+++ b/rednotebook.install
@@ -0,0 +1,9 @@
+post_install() {
+ gtk-update-icon-cache -f /usr/share/icons/hicolor
+}
+post_upgrade() {
+ gtk-update-icon-cache -f /usr/share/icons/hicolor
+}
+post_remove() {
+ gtk-update-icon-cache -f /usr/share/icons/hicolor
+}